Subject: bug#27261: guix package -u should warn about non-existent packages

From: [email-masked] (Ludovic Courtès)
Date: Mon, 26 Jun 2017 10:01:03 +0200

Hello,

Leo Famulari <[email-masked]> skribis:

> I ran `guix pull` after this missing package warning was implemented,
> but before I pushed afc9d8ec2b724b67f (gnu: Add jmtpfs).
>
> I installed jmtpfs from a Git checkout, and then ran `guix package -u .`
>
> As expected, Guix complained that the jmtpfs package does not exist.
>
> However, it did not complain about the syncthing package in my profile,
> even though syncthing is not available in Guix. The syncthing package is
> on a branch that's not checked out, and there is no stray
> 'gnu/packages/syncthing.go' file.

Could you check whether “guix package -A syncthing” shows it there?  The
warning should appear as soon as we’re upgrading a package that’s
missing.

Thanks,
Ludo’.